package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 策曲线对象 ems_strategy_curve
 *
 * @author xzzn
 * @date 2025-07-11
 */
public class EmsStrategyCurve extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 关联的策略ID */
    @Excel(name = "关联的策略ID")
    private Long strategyId;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private Long taskNumber;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 功率数据，可以是JSON格式存储曲线数据 */
    @Excel(name = "功率数据，可以是JSON格式存储曲线数据")
    private String powerData;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 模板id */
    @Excel(name = "模板id")
    private String templateId;

    /** 月份，1-12 */
    @Excel(name = "月份，1-12")
    private Long month;

    /** 是否删除 0-已删除 1-未删除 */
    @Excel(name = "是否删除 0-已删除 1-未删除")
    private Long isDelete;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyId(Long strategyId)
    {
        this.strategyId = strategyId;
    }

    public Long getStrategyId()
    {
        return strategyId;
    }

    public void setTaskNumber(Long taskNumber)
    {
        this.taskNumber = taskNumber;
    }

    public Long getTaskNumber()
    {
        return taskNumber;
    }

    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }

    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    public void setPowerData(String powerData)
    {
        this.powerData = powerData;
    }

    public String getPowerData()
    {
        return powerData;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public Long getMonth() {
        return month;
    }

    public void setMonth(Long month) {
        this.month = month;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("strategyId", getStrategyId())
                .append("taskNumber", getTaskNumber())
                .append("startDate", getStartDate())
                .append("endDate", getEndDate())
                .append("powerData", getPowerData())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("templateId", getTemplateId())
                .append("month", getMonth())
                .append("isDelete", getIsDelete())
                .toString();
    }
}
